LibertyGuard Version History

3 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 2.01 56.3 kB Works with Firefox 1.5 and later

Updated to support firefox 4.*

Version 1.47 56.3 kB Works with Firefox 1.5 - 3.7a1pre

Minor bug fixes.

Version 1.43 37.9 kB Works with Firefox 1.5 - 3.6a1pre

We have added better protect against multi redirecting phishing web sites. This protection is unique to our add-on and is not implemented in Firefox by default.
Additional feature is one time PIN (OTP) calculator for Liberty reserve login system, which will make keyloggers obsolete. OTP is valid only for one session and cannot be reused by hackers.
New feature is urgent news. We have added a system to send all our members urgent updates, alerts about phishing web sites, outages.